.rs-benefit {
    position: relative;
    z-index: 2;
    margin-top: -70px;
}

.rs-benefit__inner {
    display: grid;
    grid-template-columns: 1fr 275px;
    -webkit-column-gap: 36px;
    -moz-column-gap: 36px;
    column-gap: 36px;
    margin-left: 80px;
    margin-right: 80px;
}

.rs-benefit__items {
    padding-top: 47px;
    padding-bottom: 47px;
    padding-left: 57px;
    padding-right: 30px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}

.rs-benefit__item:not(:last-child) {
    padding-right: 50px;
    border-right: 1px solid #DCE3EC;
}

.rs-benefit__item:not(:first-child) {
    padding-left: 50px;
}

.rs-benefit__link {
    position: relative;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    -ms-flex-align: center;
    align-items: center;
    padding-bottom: 40px;
    background: url("../../img/benefit_path_mobile.svg") -110px -30px no-repeat;
}

.rs-benefit__link .icon {
    width: 74px;
    height: 74px;
    background: #00A7DA;
    border-radius: 50%;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-pack: center;
    justify-content: center;
    -ms-flex-align: center;
    align-items: center;
    margin-bottom: 22px;
    overflow: hidden;
    position: relative;
}

.rs-benefit__link .icon img {
    position: relative;
    z-index: 2;
}

.rs-benefit__link .icon::before {
    content: "";
    display: block;
    width: 100%;
    height: 155px;
    background: #001F47;
    border-radius: 0 0 50% 50%;
    position: absolute;
    top: 0;
    left: 0;
    -webkit-transform: translateY(-100%);
    transform: translateY(-100%);
    transition: -webkit-transform 0.8s cubic-bezier(0.39, 0.575, 0.565, 1);
    transition: transform 0.8s cubic-bezier(0.39, 0.575, 0.565, 1);
    transition: transform 0.8s cubic-bezier(0.39, 0.575, 0.565, 1), -webkit-transform 0.8s cubic-bezier(0.39, 0.575, 0.565, 1);
}

.rs-benefit__link .text {
    color: #0F4E9F;
    font-size: 16px;
    font-weight: 500;
    position: relative;
}

.rs-benefit__link .text::after {
    content: "";
    display: block;
    height: 1px;
    width: 100%;
    background: #0F4E9F;
    -webkit-transform: scaleX(0);
    transform: scaleX(0);
    -webkit-transform-origin: right;
    transform-origin: right;
    transition: -webkit-transform 0.3s cubic-bezier(0.39, 0.575, 0.565, 1);
    transition: transform 0.3s cubic-bezier(0.39, 0.575, 0.565, 1);
    transition: transform 0.3s cubic-bezier(0.39, 0.575, 0.565, 1), -webkit-transform 0.3s cubic-bezier(0.39, 0.575, 0.565, 1);
}

.rs-benefit__link .flush {
    z-index: 2;
    display: block;
    position: absolute;
    right: 100%;
    top: 50%;
    -webkit-transform: translateY(-50%);
    transform: translateY(-50%);
    width: 36px;
    height: calc(100% - 36px);
    background: #FFF;
}

.rs-benefit__link .flush::before,
.rs-benefit__link .flush::after {
    content: "";
    display: block;
    width: 36px;
    height: 18px;
    background: transparent;
    position: absolute;
}

.rs-benefit__link .flush::before {
    top: -18px;
    border-bottom-left-radius: 36px;
    border-bottom-right-radius: 36px;
    box-shadow: 0 6px 0 5px #fff;
}

.rs-benefit__link .flush::after {
    bottom: -18px;
    border-top-left-radius: 36px;
    border-top-right-radius: 36px;
    box-shadow: 0 -6px 0 5px #fff;
}

.rs-benefit .benefit-item {
    display: grid;
    grid-template-columns: 30px 1fr;
    gap: 16px;
}

.rs-benefit .benefit-item h3 {
    color: #001F47;
    font-size: 18px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
    margin-bottom: 12px;
}

.rs-benefit .benefit-item p {
    color: #7A8593;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.rs-benefit .benefit-item img {
    max-width: 100%;
}

@media (min-width: 767.98px) {
    .rs-benefit__items {
        border-radius: 30px 0 0 30px;
        background: #FFF;
        box-shadow: 0px 0px 0px 0px rgba(65, 90, 124, 0.06), 0px 12px 26px 0px rgba(65, 90, 124, 0.06), 0px 48px 48px 0px rgba(65, 90, 124, 0.05), 0px 108px 65px 0px rgba(65, 90, 124, 0.03), 0px 192px 77px 0px rgba(65, 90, 124, 0.01), 0px 300px 84px 0px rgba(65, 90, 124, 0);
    }

    .rs-benefit__link {
        padding-bottom: 47px;
        padding-top: 47px;
        background: url("../../img/benefit_path.svg") calc(50% + 18px) -325px no-repeat;
        background-color: #FFF;
        border-radius: 0 30px 30px 0;
        box-shadow: 0px 0px 0px 0px rgba(65, 90, 124, 0.06), 0px 12px 26px 0px rgba(65, 90, 124, 0.06), 0px 48px 48px 0px rgba(65, 90, 124, 0.05), 0px 108px 65px 0px rgba(65, 90, 124, 0.03), 0px 192px 77px 0px rgba(65, 90, 124, 0.01), 0px 300px 84px 0px rgba(65, 90, 124, 0);
    }
}

@media (max-width: 1790px) {
    .rs-benefit__inner {
        margin-left: 15px;
        margin-right: 15px;
    }

    .rs-benefit__items {
        padding-left: 20px;
        padding-right: 20px;
    }

    .rs-benefit__item:not(:last-child) {
        padding-right: 10px;
    }

    .rs-benefit__item:not(:first-child) {
        padding-left: 10px;
    }
}

@media (max-width: 1300px) {
    .rs-benefit .benefit-item {
        grid-template-columns: 1fr;
    }
}

@media (max-width: 991.98px) {
    .rs-benefit__items {
        grid-template-columns: 1fr;
        row-gap: 20px;
    }

    .rs-benefit__item:not(:last-child) {
        padding-right: 0;
        border: none;
    }

    .rs-benefit__item:not(:first-child) {
        padding-left: 0;
    }

    .rs-benefit .benefit-item {
        grid-template-columns: 30px 1fr;
    }
}

@media (max-width: 767.98px) {
    .rs-benefit {
        margin-top: 50px;
    }

    .rs-benefit__inner {
        grid-template-columns: 1fr;
        margin-left: -15px;
        margin-right: -15px;
        border-radius: 10px;
        background: #FFF;
        box-shadow: 0px 4px 30px 0px #D9D9D9;
    }

    .rs-benefit__items {
        padding-top: 40px;
        padding-bottom: 30px;
    }

    .rs-benefit__link .icon {
        display: none;
    }

    .rs-benefit__link .text {
        padding: 12px 30px;
        border-radius: 73px;
        background: #00A7DA;
        color: #FFF;
    }

    .rs-benefit__link .flush {
        display: none;
    }

    .rs-benefit .benefit-item h3 {
        font-size: 16px;
        margin-bottom: 5px;
    }

    .rs-benefit .benefit-item p {
        font-size: 15px;
    }
}

@media (any-hover: hover) {
    .rs-benefit__link:hover .icon::before {
        -webkit-transform: translateY(0);
        transform: translateY(0);
    }

    .rs-benefit__link:hover .text::after {
        -webkit-transform: scaleX(1);
        transform: scaleX(1);
        -webkit-transform-origin: left;
        transform-origin: left;
    }
}